# HG changeset patch
# Node ID bf89fac25176
# Parent  648a1b5dd96a
diff --git a/libpurple/accounts.h b/libpurple/accounts.h
--- a/libpurple/accounts.h
+++ b/libpurple/accounts.h
@@ -46,7 +46,7 @@
  * account, buddy pounces that belong to this account, and will also
  * destroy @account.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_accounts_delete(PurpleAccount *account);
@@ -62,7 +62,7 @@
  * You probably shouldn't call this unless you really know
  * what you're doing.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_accounts_restore_current_statuses(void);
@@ -78,7 +78,7 @@
  *
  * Returns: The accounts subsystem handle.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void *purple_accounts_get_handle(void);
@@ -88,7 +88,7 @@
  *
  * Initializes the accounts subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_accounts_init(void);
@@ -98,7 +98,7 @@
  *
  * Uninitializes the accounts subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_accounts_uninit(void);
@@ -108,7 +108,7 @@
  *
  * Schedules saving of accounts
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_accounts_schedule_save(void);
diff --git a/libpurple/action.h b/libpurple/action.h
--- a/libpurple/action.h
+++ b/libpurple/action.h
@@ -88,7 +88,7 @@
  *
  * Returns: (transfer full): The PurpleActionMenu.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleActionMenu *purple_action_menu_new(const gchar *label, GCallback callback, gpointer data, GList *children);
@@ -99,7 +99,7 @@
  *
  * Frees a PurpleActionMenu
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_action_menu_free(PurpleActionMenu *act);
@@ -112,7 +112,7 @@
  *
  * Returns: The label string.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_action_menu_get_label(const PurpleActionMenu *act);
@@ -125,7 +125,7 @@
  *
  * Returns: (transfer none): The callback function.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GCallback purple_action_menu_get_callback(const PurpleActionMenu *act);
@@ -138,7 +138,7 @@
  *
  * Returns: The data.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gpointer purple_action_menu_get_data(const PurpleActionMenu *act);
@@ -151,7 +151,7 @@
  *
  * Returns: (element-type PurpleActionMenu) (transfer none): The menu children.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GList* purple_action_menu_get_children(const PurpleActionMenu *act);
@@ -163,7 +163,7 @@
  *
  * Set the label to the PurpleActionMenu.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_action_menu_set_label(PurpleActionMenu *act, const gchar *label);
@@ -175,7 +175,7 @@
  *
  * Set the callback that will be used by the PurpleActionMenu.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_action_menu_set_callback(PurpleActionMenu *act, GCallback callback);
@@ -187,7 +187,7 @@
  *
  * Set the label to the PurpleActionMenu.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_action_menu_set_data(PurpleActionMenu *act, gpointer data);
@@ -199,7 +199,7 @@
  *
  * Set the children of the PurpleActionMenu.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_action_menu_set_children(PurpleActionMenu *act, GList *children);
@@ -213,7 +213,7 @@
  *
  * Returns: The #GType for the #PurpleProtocolAction boxed structure.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_protocol_action_get_type(void);
@@ -229,7 +229,7 @@
  *
  * Returns: (transfer full): The new #PurpleProtocolAction.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleProtocolAction *purple_protocol_action_new(const gchar *label, PurpleProtocolActionCallback callback);
@@ -242,7 +242,7 @@
  *
  * Returns: (transfer full): A copy of @action.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleProtocolAction *purple_protocol_action_copy(PurpleProtocolAction *action);
@@ -253,7 +253,7 @@
  *
  * Frees a PurpleProtocolAction
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_protocol_action_free(PurpleProtocolAction *action);
diff --git a/libpurple/blistnode.h b/libpurple/blistnode.h
--- a/libpurple/blistnode.h
+++ b/libpurple/blistnode.h
@@ -53,7 +53,7 @@
  * This is a base class for PurpleBuddy, PurpleContact, PurpleGroup, and for
  * anything else that wants to put itself in the buddy list.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 struct _PurpleBlistNode {
 	GObject gparent;
@@ -82,7 +82,7 @@
  *
  * Returns: The #GType for the #PurpleBlistNode object.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 PURPLE_AVAILABLE_IN_2_1
 GType purple_blist_node_get_type(void);
@@ -100,7 +100,7 @@
  *
  * Returns: (transfer none): The next node
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleBlistNode *purple_blist_node_next(PurpleBlistNode *node, gboolean offline);
@@ -116,7 +116,7 @@
  *
  * Returns: (transfer none): The parent node.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 PURPLE_AVAILABLE_IN_2_4
 PurpleBlistNode *purple_blist_node_get_parent(PurpleBlistNode *node);
@@ -132,7 +132,7 @@
  *
  * Returns: (transfer none): The child node.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 PURPLE_AVAILABLE_IN_2_4
 PurpleBlistNode *purple_blist_node_get_first_child(PurpleBlistNode *node);
@@ -148,7 +148,7 @@
  *
  * Returns: (transfer none): The sibling node.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 PURPLE_AVAILABLE_IN_2_4
 PurpleBlistNode *purple_blist_node_get_sibling_next(PurpleBlistNode *node);
@@ -164,7 +164,7 @@
  *
  * Returns: (transfer none): The sibling node.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 PURPLE_AVAILABLE_IN_2_4
 PurpleBlistNode *purple_blist_node_get_sibling_prev(PurpleBlistNode *node);
@@ -177,7 +177,7 @@
  *
  * Returns: (transfer none): The hash table with the node's settings.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GHashTable *purple_blist_node_get_settings(PurpleBlistNode *node);
@@ -191,7 +191,7 @@
  *
  * Returns: TRUE if a value exists, or FALSE if there is no setting
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_blist_node_has_setting(PurpleBlistNode *node, const char *key);
@@ -204,7 +204,7 @@
  *
  * Associates a boolean with a node in the buddy list
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_node_set_bool(PurpleBlistNode *node, const char *key, gboolean value);
@@ -218,7 +218,7 @@
  *
  * Returns: The value, or FALSE if there is no setting
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gboolean purple_blist_node_get_bool(PurpleBlistNode *node, const char *key);
@@ -231,7 +231,7 @@
  *
  * Associates an integer with a node in the buddy list
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_node_set_int(PurpleBlistNode *node, const char *key, int value);
@@ -245,7 +245,7 @@
  *
  * Returns: The value, or 0 if there is no setting
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 int purple_blist_node_get_int(PurpleBlistNode *node, const char *key);
@@ -258,7 +258,7 @@
  *
  * Associates a string with a node in the buddy list
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_node_set_string(PurpleBlistNode *node, const char *key, const char *value);
@@ -272,7 +272,7 @@
  *
  * Returns: The value, or NULL if there is no setting
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_blist_node_get_string(PurpleBlistNode *node, const char *key);
@@ -284,7 +284,7 @@
  *
  * Removes a named setting from a blist node
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_node_remove_setting(PurpleBlistNode *node, const char *key);
@@ -297,7 +297,7 @@
  *
  * Sets whether the node should be saved with the buddy list or not
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_node_set_transient(PurpleBlistNode *node, gboolean transient);
@@ -310,7 +310,7 @@
  *
  * Returns: TRUE if the node should NOT be saved, FALSE if node should be saved
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_blist_node_is_transient(PurpleBlistNode *node);
@@ -323,7 +323,7 @@
  *          items for a buddy list node, as harvested by the
  *          blist-node-extended-menu signal.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 GList *purple_blist_node_get_extended_menu(PurpleBlistNode *n);
diff --git a/libpurple/buddy.h b/libpurple/buddy.h
--- a/libpurple/buddy.h
+++ b/libpurple/buddy.h
@@ -77,7 +77,7 @@
  *
  * A buddy on the buddy list.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 struct _PurpleBuddy {
 	PurpleBlistNode node;
@@ -104,7 +104,7 @@
  *
  * Returns: The #GType for the #PurpleBuddy object.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_buddy_get_type(void);
@@ -125,7 +125,7 @@
  *
  * Returns: A newly allocated buddy
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleBuddy *purple_buddy_new(PurpleAccount *account, const char *name, const char *alias);
@@ -138,7 +138,7 @@
  *
  * Returns: The id of @buddy.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_buddy_get_id(PurpleBuddy *buddy);
@@ -155,7 +155,7 @@
  *
  * See purple_buddy_icon_set_data().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_set_icon(PurpleBuddy *buddy, PurpleBuddyIcon *icon);
@@ -168,7 +168,7 @@
  *
  * Returns: The buddy icon.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleBuddyIcon *purple_buddy_get_icon(PurpleBuddy *buddy);
@@ -181,7 +181,7 @@
  *
  * Returns: (transfer none): The account.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccount *purple_buddy_get_account(PurpleBuddy *buddy);
@@ -193,7 +193,7 @@
  *
  * Sets a buddy's name
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_buddy_set_name(PurpleBuddy *buddy, const char *name);
@@ -206,7 +206,7 @@
  *
  * Returns: The name.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_get_name(PurpleBuddy *buddy);
@@ -223,7 +223,7 @@
  *
  * Returns:      The protocol data.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gpointer purple_buddy_get_protocol_data(PurpleBuddy *buddy);
@@ -239,7 +239,7 @@
  *
  * See purple_buddy_get_protocol_data().
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_buddy_set_protocol_data(PurpleBuddy *buddy, gpointer data);
@@ -252,7 +252,7 @@
  *
  * Returns: (transfer none): The buddy's contact.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleMetaContact *purple_buddy_get_contact(PurpleBuddy *buddy);
@@ -265,7 +265,7 @@
  *
  * Returns: (transfer none): The buddy's presence.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurplePresence *purple_buddy_get_presence(PurpleBuddy *buddy);
@@ -279,7 +279,7 @@
  *
  * This should only be called from within Purple.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_buddy_update_status(PurpleBuddy *buddy, PurpleStatus *old_status);
@@ -292,7 +292,7 @@
  *
  * Returns:      The media caps.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 PurpleMediaCaps purple_buddy_get_media_caps(PurpleBuddy *buddy);
@@ -304,7 +304,7 @@
  *
  * Sets the media caps for a buddy.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 void purple_buddy_set_media_caps(PurpleBuddy *buddy, PurpleMediaCaps media_caps);
@@ -318,7 +318,7 @@
  * Returns:        The alias (if set), server alias (if set),
  *                or NULL.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_get_alias_only(PurpleBuddy *buddy);
@@ -330,7 +330,7 @@
  *
  * Sets the server alias for a buddy.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_buddy_set_server_alias(PurpleBuddy *buddy, const char *alias);
@@ -343,7 +343,7 @@
  *
  * Returns:  The server alias, or NULL if it is not set.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_get_server_alias(PurpleBuddy *buddy);
@@ -358,7 +358,7 @@
  *
  * Returns:       The appropriate name or alias, or NULL.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_get_contact_alias(PurpleBuddy *buddy);
@@ -373,7 +373,7 @@
  *
  * Returns:        The appropriate name or alias, or NULL
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_get_alias(PurpleBuddy *buddy);
@@ -385,7 +385,7 @@
  *
  * Sets the local alias for the buddy.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_buddy_set_local_alias(PurpleBuddy *buddy, const char *alias);
@@ -398,7 +398,7 @@
  *
  * Returns:       The local alias for the buddy
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_get_local_alias(PurpleBuddy *buddy);
@@ -411,7 +411,7 @@
  *
  * Returns: (transfer none): The group or %NULL if the buddy is not in a group.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleGroup *purple_buddy_get_group(PurpleBuddy *buddy);
diff --git a/libpurple/buddy.c b/libpurple/buddy.c
--- a/libpurple/buddy.c
+++ b/libpurple/buddy.c
@@ -249,7 +249,7 @@
 	 * If an id is not passed during instantiation a uuid4 string is set as the
 	 * id.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ID] = g_param_spec_string(
 		"id", "id",
diff --git a/libpurple/buddyicon.h b/libpurple/buddyicon.h
--- a/libpurple/buddyicon.h
+++ b/libpurple/buddyicon.h
@@ -40,7 +40,7 @@
  * purple_buddy_icon_ref() and purple_buddy_icon_unref() to take and release
  * references.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef struct _PurpleBuddyIcon PurpleBuddyIcon;
 
@@ -59,7 +59,7 @@
  * @PURPLE_ICON_SCALE_DISPLAY: We scale the icon when we display it
  * @PURPLE_ICON_SCALE_SEND:    We scale the icon before we send it to the server
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum  /*< flags >*/
 {
@@ -86,7 +86,7 @@
  * expect back. Dimensions less than 1 should be ignored and the image not
  * scaled.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 struct _PurpleBuddyIconSpec {
 	char *format;
@@ -109,7 +109,7 @@
  *
  * Returns: The #GType for the #PurpleBuddyIcon boxed structure.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_buddy_icon_get_type(void);
@@ -129,7 +129,7 @@
  *
  * Returns: The buddy icon structure, with a reference for the caller.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleBuddyIcon *purple_buddy_icon_new(PurpleAccount *account, const char *username,
@@ -144,7 +144,7 @@
  *
  * Returns: @icon.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleBuddyIcon *purple_buddy_icon_ref(PurpleBuddyIcon *icon);
@@ -157,7 +157,7 @@
  *
  * If the reference count reaches 0, the icon will be destroyed.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icon_unref(PurpleBuddyIcon *icon);
@@ -168,7 +168,7 @@
  *
  * Updates every instance of this icon.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icon_update(PurpleBuddyIcon *icon);
@@ -182,7 +182,7 @@
  *
  * Sets the buddy icon's data.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void
@@ -199,7 +199,7 @@
  *
  * Returns: %TRUE on success, or %FALSE on error possibly with @error set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_buddy_icon_save_to_filename(PurpleBuddyIcon *icon, const gchar *filename, GError **error);
@@ -212,7 +212,7 @@
  *
  * Returns: (transfer none): The account.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccount *purple_buddy_icon_get_account(const PurpleBuddyIcon *icon);
@@ -225,7 +225,7 @@
  *
  * Returns: The username.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icon_get_username(const PurpleBuddyIcon *icon);
@@ -240,7 +240,7 @@
  *
  * Returns: The checksum.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icon_get_checksum(const PurpleBuddyIcon *icon);
@@ -255,7 +255,7 @@
  *
  * Returns: A pointer to the icon data.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gconstpointer purple_buddy_icon_get_data(const PurpleBuddyIcon *icon, size_t *len);
@@ -268,7 +268,7 @@
  *
  * Returns: (transfer full): A new #GInputStream.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GInputStream *purple_buddy_icon_get_stream(PurpleBuddyIcon *icon);
@@ -282,7 +282,7 @@
  * Returns: The icon's extension, "icon" if unknown, or %NULL if
  *         the image data has disappeared.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icon_get_extension(const PurpleBuddyIcon *icon);
@@ -302,7 +302,7 @@
  *
  * Returns: (transfer none): A full path to the file, or %NULL under various conditions.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const gchar *purple_buddy_icon_get_full_path(PurpleBuddyIcon *icon);
@@ -321,7 +321,7 @@
  *
  * Sets a buddy icon for a user.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icons_set_for_user(PurpleAccount *account, const char *username, void *icon_data, size_t icon_len, const char *checksum);
@@ -337,7 +337,7 @@
  *
  * Returns: The checksum.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icons_get_checksum_for_user(PurpleBuddy *buddy);
@@ -352,7 +352,7 @@
  * Returns: The icon (with a reference for the caller) if found, or %NULL if
  *         not found.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleBuddyIcon *purple_buddy_icons_find(PurpleAccount *account, const char *username);
@@ -369,7 +369,7 @@
  *
  * Returns: (transfer full): The account's buddy icon image.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleImage *purple_buddy_icons_find_account_icon(PurpleAccount *account);
@@ -388,7 +388,7 @@
  *
  * Returns: (transfer none): The icon that was set.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleImage *purple_buddy_icons_set_account_icon(PurpleAccount *account, guchar *icon_data, size_t icon_len);
@@ -404,7 +404,7 @@
  *
  * Returns: The time the icon was set, or 0 if an error occurred.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 time_t purple_buddy_icons_get_account_icon_timestamp(PurpleAccount *account);
@@ -417,7 +417,7 @@
  *
  * Returns: A boolean indicating if @node has a custom buddy icon.
  *
- * Since: 2.5.0
+ * Since: 2.5
  */
 PURPLE_AVAILABLE_IN_2_5
 gboolean purple_buddy_icons_node_has_custom_icon(PurpleBlistNode *node);
@@ -434,7 +434,7 @@
  *
  * Returns: (transfer full): The custom buddy icon.
  *
- * Since: 2.5.0
+ * Since: 2.5
  */
 PURPLE_AVAILABLE_IN_2_5
 PurpleImage *purple_buddy_icons_node_find_custom_icon(PurpleBlistNode *node);
@@ -453,7 +453,7 @@
  *
  * Returns: (transfer none): The icon that was set.
  *
- * Since: 2.5.0
+ * Since: 2.5
  */
 PURPLE_AVAILABLE_IN_2_5
 PurpleImage *purple_buddy_icons_node_set_custom_icon(PurpleBlistNode *node, guchar *icon_data, size_t icon_len);
@@ -471,7 +471,7 @@
  *
  * Returns: (transfer none): The icon that was set.
  *
- * Since: 2.5.0
+ * Since: 2.5
  */
 PURPLE_AVAILABLE_IN_2_5
 PurpleImage *purple_buddy_icons_node_set_custom_icon_from_file(PurpleBlistNode *node, const gchar *filename);
@@ -482,7 +482,7 @@
  *
  * Sets whether or not buddy icon caching is enabled.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icons_set_caching(gboolean caching);
@@ -497,7 +497,7 @@
  *
  * Returns: TRUE if buddy icon caching is enabled, or FALSE otherwise.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gboolean purple_buddy_icons_is_caching(void);
@@ -520,7 +520,7 @@
  *
  * Returns: The directory to store buddy icon cache files to.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_buddy_icons_get_cache_dir(void);
@@ -532,7 +532,7 @@
  *
  * Returns: The subsystem handle.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void *purple_buddy_icons_get_handle(void);
@@ -542,7 +542,7 @@
  *
  * Initializes the buddy icon subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icons_init(void);
@@ -552,7 +552,7 @@
  *
  * Uninitializes the buddy icon subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_buddy_icons_uninit(void);
@@ -566,7 +566,7 @@
  *
  * Returns: The #GType for the #PurpleBuddyIconSpec boxed structure.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_buddy_icon_spec_get_type(void);
@@ -586,7 +586,7 @@
  *
  * Returns:  A new buddy icon spec.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleBuddyIconSpec *purple_buddy_icon_spec_new(char *format, int min_width, int min_height, int max_width, int max_height, size_t max_filesize, PurpleBuddyIconScaleFlags scale_rules);
@@ -597,7 +597,7 @@
  *
  * Frees @spec.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_buddy_icon_spec_free(PurpleBuddyIconSpec *spec);
@@ -612,7 +612,7 @@
  *
  * Gets display size for a buddy icon
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_buddy_icon_spec_get_scaled_size(PurpleBuddyIconSpec *spec, int *width, int *height);
